org.apache.http.impl.auth

## Class RFC2617Scheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.RFC2617Scheme

- All Implemented Interfaces:
    Serializable ， AuthScheme ， ContextAwareAuthScheme
  已知直接子类：
    BasicScheme ， DigestScheme

      public abstract class RFC2617Scheme
      extends AuthSchemeBase
      implements Serializable

  抽象认证方案类为所有RFC 2617兼容认证方案奠定了基础，并提供了RFC 2617中定义的所有认证方案的通用功能。
  从以下版本开始：
    4
  另请参见：
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RFC2617Scheme()`
    `RFC2617Scheme(ChallengeState challengeState)` 已过时。 （4.3）不要使用。
    `RFC2617Scheme(Charset credentialsCharset)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCredentialsCharset()`
    `String` | `getParameter(String name)` 返回具有给定名称的身份验证参数（如果可用）。
    `protected Map<String,String>` | `getParameters()` 返回验证参数映射。
    `String` | `getRealm()` 返回认证领域。
    `protected void` | `parseChallenge(CharArrayBuffer buffer, int pos, int len)`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `authenticate, getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.auth.AuthScheme

      `authenticate, getSchemeName, isComplete, isConnectionBased`

- - ### 构造方法详细信息

    - #### RFC2617Scheme

          @Deprecated
          public RFC2617Scheme(ChallengeState challengeState)

      已过时。 （4.3）不要使用。
      创建具有给定挑战状态的 `RFC2617Scheme`的实例。
      从以下版本开始：
        4.2

    - #### RFC2617Scheme

          public RFC2617Scheme(Charset credentialsCharset)

      从以下版本开始：
        4.3

    - #### RFC2617Scheme

          public RFC2617Scheme()

  - ### 方法详细信息

    - #### getCredentialsCharset

          public Charset getCredentialsCharset()

      从以下版本开始：
        4.3

    - #### parseChallenge

          protected void parseChallenge(CharArrayBuffer buffer,
                            int pos,
                            int len)
                                 throws MalformedChallengeException

      Specified by:
        `parseChallenge`在 `AuthSchemeBase`
      异常
        `MalformedChallengeException`

    - #### getParameters

          protected Map<String,String> getParameters()

      返回验证参数映射。 地图中的键较低。
      结果
        认证参数图

    - #### getParameter

          public String getParameter(String name)

      返回具有给定名称的身份验证参数（如果可用）。
      Specified by:
        `getParameter`在接口 `AuthScheme`
      参数
        `name` - 要返回的参数的名称
      结果
        具有给定名称的参数

    - #### getRealm

          public String getRealm()

      返回认证领域。 领域可能不为空。
      Specified by:
        `getRealm`在接口 `AuthScheme`
      结果
        认证领域

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585